/* LET THE STYLING BEGIN */
/* GENERAL*/


@import url('https://fonts.googleapis.com/css2?family=Alkatra:wght@400..700&family=Platypi:ital,wght@0,300..800;1,300..800&family=Sigmar&family=Workbench&display=swap');

*{
    margin: 0;
    padding: 0;

}

body {
      font-family: "Poppins",sans-serif;
    }
html{
    scroll-behavior: smooth;
}
p{
    color: rgb(85,85 ,85);
}
/*TRANSITION*/
a, .btn{
    transition: all 300ms ease;
}
/*DESKTOP NA*/
nav,.nav-links{
    display: flex;

}
nav{
    justify-content: space-around;
    align-items: center;
    height: 17vh;
    gap: 1rem;

}
.nav-links{
    gap: 2rem;
    list-style: none;
    font-size: 1.5rem;
}
a{
    color: black;
    text-decoration: none;
    text-decoration-color: white;

}
a:hover{
    color: grey;
    text-decoration: underline;
    text-underline-offset: 1rem;
    text-decoration-color: rgb(181,181 ,181);
}
.logo{
    font-size: 2rem;
}
.logo:hover{
    cursor: default;
}
#hamburger-nav{
    display: none;
}
.hamburger-menu{
    position: relative;
    display: inline-block;
}
.hamburger-icon{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width:30px;
    cursor: pointer;
}

.hamburger-icon span {

    width: 100%;
    height: 2px;
    background-color: black;
    transition: all 0.3 ease-in-out;

}

.menu-links{
    position: absolute;
    top: 100%;
    right: 0;
    background-color: white;
    width: fit-content;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3 ease-in-out;
}
.menu-links a{
    display:block;
    padding: 10px;
    text-align: center;
    font-size: 1.5rem;
    color: black;
    text-decoration: none;
    transition: all 0.3 ease-in-out;
}
.menu-links li{
    list-style: none;
}
.menu-links.open{
    max-height:300px;
}
.hamburger-icon.open span:first-child{
    transform: rotate(45deg)translate(10px,5px);

}
.hamburger-icon.open span:nth-child(2){
    opacity: 0;

}
.hamburger-icon.open span:last-child{
    transform: rotate(-45deg)translate(10px,-5px);

}
.hamburger-icon span:first-child{
    transform: none;
}
.hamburger-icon span:first-child{
    opacity: 1;
}
.hamburger-icon span:first-child{
    transform: none;
}
/*SECCTION*/
section{
    padding-top: 4vh;
    height: 96vh;
    margin: 0 15rem;
    box-sizing: border-box;
    min-height:fit-content;
}
.section-container{
    display: flex;
    margin-top: 4rem;
    
}
/*PROFILE SECTION*/
#profile{
    display: flex;
    justify-content: center;
    gap: 5rem;
    height: 80vh;
    
}
.section_pic-container{
    display: flex;
    height: 400px;
    width: 400px;
    margin: auto 0;
}

.section_text{
    align-self: center;
    text-align: center;
}
.section_text p{
    font-weight: 600;
}
.section_text_p1{
    text-align: center;
}
.section_text_p2{
    font-size: 1.75rem;
    margin-bottom: 1rem;
}
.title{
    font-size: 3rem;
    text-align: center;
}
#socials-container{
    display: flex;
    justify-content: center;
    margin-top: 3.5rem;
    gap: 1rem;
}
.resumepic{
    border-radius: 50px;;
    box-shadow:black;
    margin-top: 10%;
   

}
.container{
    margin-top: 4re;
}
/* ICONS*/
.icon{
    cursor: pointer;
    height: 2rem;
}
/*BUTTONS*/
.btn-container{
    display: flex;
    justify-content: center;
    gap: 1rem;
}
.btn{
    font-weight: 600;
    transition: all 300ms ease;
    padding: 1rem;
    width: 8rem;
    border-radius: 2rem;
}
.btn-color-1,
.btn-color-2{
    border: rgb(53,53,53)0.1rem solid;
}
.btn-color-1:hover,
.btn-color-2:hover{
   cursor: pointer;
}

.btn-color-1:hover,
.btn-color-2:hover{
   background-color: rgb(53,53,53);
   color: white;
}
.btn-color-1:hover{
    background-color: rgb(0,0,0);
}
.btn-color-2{
    background: none;
}
.btn-color-2:hover{
    border:rgb(255,255,255)0.1rem solid;
}
.btn-container{
    gap: 1rem;
}
/*ABOUT SECTION */
#about{
    position:relative;
}
.about-containers{
    gap: 2rem;
    margin-bottom: 2rem;
    margin-top: 3rem;
    
}
.about-details-container{
    justify-content: center;
    flex-direction: column;
}
.about-containers,
.about-details-container{
    display: flex;
}
.about-pic{
    border-radius: 2rem;
   
}
.arrow{
    position: absolute;
    right:-9.9rem;
    bottom: 2.5rem;
}
#arrow1{
    right: 5rem;
}
.details-container{
    padding: 1.5rem;
    flex: 1;
    background: white;
    border-radius: 2rem;
    border: rgb(53,53,53) 0.1rem solid;
    border-color: rgb(163,163,163);
    text-align: center;
    
}
.qualification{
    margin-top: 0.7rem;
    
}
.section-container{
    gap: 4rem;
    height: 80%;
}
.section_pic-container{
    height: 400px;
    width: 400px;
    margin: auto 0;
}
/*EXPERIENCE SECTION */
#experience{
    position: relative;
}
.experience-sub-title{
    color: rgb(86,85,85);
    font-weight: 60;
    font-size: 1.75rem;
    margin-bottom: 2rem;
}
.experience-details-container{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.article-container{
    display: flex;
    text-align:center;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 2.5rem;
    justify-content:center;
}
article{
    display:flex;
    width: 10rem;
    justify-content:space-between;
    gap:0.5rem;
}
article.icon{
    cursor: default;
}
/*PROJECT SECTION*/

#projects{
    position: relative;
}
.color-container{
    border-color: rgb(163,163,163);
    background: rgb(250, 250, 250);
    
}
.project-img{
    border-radius: 2rem;
    width:70%;
    height:60%;

    
}
.project-title{
    margin: 1rem;
    color: black;
}
.project-btn{
    color: black;
    border-color: rgb(163,163,163);
}
/*CONTACT*/
#contact{
    display:flex;
    justify-content: center;
    flex-direction: column;
    height: 70vh;
}
.contact-info-upper-container{
    display: flex;
    justify-content: center;
    border-radius: 2rem;
    border: rgb(53,53,53)0.1rem solid;
    background:(250,250,250) ;
    margin: 2rem auto;
    padding: 0.5rem;
}
.contact-info-container{
    display: flex;
    align-items: center;
    justify-content: center;
    gap:0.5rem ;
    margin: 1rem;
}
.contact-info-container p{
    font-size: larger;
}
.contact-icon{
    cursor:default;
}
.email-icon{
    height: 2.5rem;
}
/*FOOTER SECCTION*/
footer{
    height: 26vh;
    margin: 0 1rem;
}
footer p{
    text-align: center;
}
/*VIEWS COUNT*/
.counter{
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    margin-right:88%;

}
p{
    margin: 0;
    font-size: 14px;
}
.about-me{
    font-family: 'Times New Roman', Times, serif;
    
}
/*mediaqueries*/
@media screen and ( max-width:1400px ) {
    #prifile{
     height: 83vh;
     margin-bottom: Grem;
    }
    .about-containers{
     flex-wrap: wrap;
    }
 }
 @media screen and ( max-width:1200px ) {
     #desktop-nav {
         display: none;
     }
     #hamburger-nav {
         display: flex;
     }
     #experience, .experience-details-container{
         margin-top: 2rem;
     }
     #profile,
     .section-container{
         display: block;
     }
     .arrow{
         display: none;
     }
     section,.section-container{
         height: fit-content;
     }
     section{
         margin: 0 5%;
     }
     .section_pic-container{
         width: 275px;
         height: 275px;
         margin: 0 auto 3rem;
     }
     .about-containers{
         margin-top: 0;
     }
 }
     @media screen and (max-width:600px){
         #contact,
         footer{
             height: 40vh;
         }
         #profile{
             height: 83vh;
         margin-bottom: 0;
         }
         article{
             font-size: 1rem;
         }
         footer nav{
             height:fit-content;
             margin-bottom: 2rem;
         }
         .about-containers,.contact-info-upper-container,
         .about-container{
             flex-wrap: wrap;
         }
         .contact-info-container{
             margin: 0;
         }
         .contact-info-container p,.nav-links li a{
             font-size: 1.25rrrem;
         }
         .experience-sub-title{
             font-size: 1.25rem;
         }
         .logo{
             font-size: 1.5rem;
         }
         .nav-links{
             flex-direction: column;
             gap: 0.5rem;
             text-align: center;
         }
         .section_pic-container{
             width: fit-content;
             height: 46vw;
             justify-content: center;
         }
         .section_text_p2{
             font-size: 1.25rem;
             
         }
        
         .title{
             font-size: 2rem;
         }
         .text-container{
             text-align: justify;
         }
     }
 
 
 